SNMPBULKGET(1)

NAME
snmpbulkget - communicates with a network entity using SNMP BULK Requests.

SYNOPSIS
snmpbulkget [common arguments] [objectID]...

DESCRIPTION
In addition to the common arguments, snmpbulkget takes one specific argument

-B <nonrep> <rep>
    where nonrep specifies the number of input variables that should not repeat, and rep is the maximum number of repetitions of the rest of the variables. The default is -B 0 100.

For example

snmpbulkwalk -v 2c -B 1 10 zeus public system interfaces

will retrieve the variable system.sysDescr.0 (which is the lexicographically next object to system) and the first 10 objects of the interfaces group.

system.sysDescr.0 = "SunOS zeus.net.cmu.edu 4.1.3_U1 1 sun4m"
interfaces.ifNumber.0 = 2
interfaces.ifTable.ifEntry.ifIndex.1 = 1
interfaces.ifTable.ifEntry.ifIndex.2 = 2
interfaces.ifTable.ifEntry.ifDescr.1 = "lo0"
et cetera.

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint why the request was malformed.

NOTE
As the name implies, snmpbulkget utilizes the SNMP GETBULK message, which is not available in SNMP v1.

SEE ALSO
snmpcmd(1), variables(5).